#!/bin/bash
LOAD=load_mac
MAC=`echo ${OSTYPE} | tr '[A-Z]' '[a-z]'| grep -o darwin`  # on MAC OS it is "darwin"
if [ "${MAC}" = "" ]; then
	# assume linux
	LOAD=load_lin
	LINUX=`echo ${OSTYPE} | tr '[A-Z]' '[a-z]'| grep -o linux`
	if [ "${LINUX}" = "" ]; then
		echo "${LOAD} not supported on this (${OSTYPE}) platform"
		exit 1
	fi
else
	# we are running MacOS, try to find if it is supporting only 64 bit binaries (High Sierra (10.13.x) or later)
	# we do that using MacOS built-in command sw_vers
	MAC_OS_MAJOR_VER=`sw_vers -productVersion | cut -d"." -f1`
	MAC_OS_MINOR_VER=`sw_vers -productVersion | cut -d"." -f2`
	if [ "$MAC_OS_MAJOR_VER" -gt 10 ]; then
		LOAD=load_mac-x86_64
	else
		if [ "$MAC_OS_MINOR_VER" -gt 12 ]; then
			LOAD=load_mac-x86_64
		fi
	fi
fi
pushd `dirname $0`
chmod a+x ${LOAD}  # Needed if kit built on WIN OS
./${LOAD} -m 1000 -i -x ../UNIFULL.SPB -n -b ../blserial.bin -d ../compound.bin -c ../config.bin -s "$1"
popd


